module Mybot
	GEM_PATH = File.dirname(File.dirname(__FILE__))
  HOME_PATH = File.expand_path "~"
  
	autoload :Base, "mybot/base"
	autoload :Cli, "mybot/cli"
	autoload :Command, "mybot/command"
	autoload :Fmt, "mybot/fmt"
	autoload :Helpers, "mybot/helpers"
	autoload :Node, "mybot/node"
	autoload :Nodes, "mybot/nodes"
	autoload :Recipes, "mybot/recipes"
	autoload :Tasks, "mybot/tasks"
	autoload :Template, "mybot/template"
	autoload :Templates, "mybot/templates"
  autoload :VERSION, "mybot/version"
end

$MYBOT_USE_COLORS = true
$MYBOT_SHOW_CMD = true
$MYBOT_SHOW_OUTPUT = false