module Mybot
  module Helpers
    include Fmt

    def wait(msg = "Press any key to continue...")
      print_cmd "wait", msg, :blue, :bold
      $stdin.gets
    end

    def ask(q = "")
      print_cmd "ask", q, :blue, :bold
      $stdin.gets.chomp
    end

    def yes?(q = "")
      result = ""
      loop do
        print_cmd "ask", q, :blue, :bold
        result = $stdin.gets.chomp
        break if result =~ /y|yes|Y|YES|Yes|n|no|N|NO|No/
      end

      result =~ /y|yes|Y|YES|Yes/
    end
  end
end