require "ostruct"
require "erb"

module Mybot
  class Template
    def initialize(tpl)
      @tpl = tpl
    end

    def render(params = {})
      ERB.new(@tpl).result(OpenStruct.new(params).instance_eval { binding })
    end
  end
end